Subject: Re: [BUG] git-branch -m cannot rename remote branches

From: Olivier Marin <[email-masked]>
Date: Mon, 09 Jun 2008 14:53:29 +0200

Jakub Narebski a écrit :
> 
> What I really wanted was "git remote rename <old-name> <new-name>",
> together with renaming branches and moving reflogs.  I can do first
> part by editing config file ("git remote rename"/"git remote mv"
> probably would want to assume that user wants to move branches if
> they follow remotes/<old-name>/* calling convention; ask user if it
> is not the case?).  I thought that I could use "git branch -m" for
> the other... I was left with editing packed-refs file (BTW. is leaving
> empty directory 'xx' when packing 'xx/name' branch by design?) and
> moving reflog by hand.
> 

You can use "git update-ref" for that. Maybe something like that:

$ git update-ref <newref> <oldref>
$ git update-ref -d <oldref> <newref>

Olivier.